Tìm kiếm sự kiện
curl --request GET \
--url https://api.fireant.vn/events/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/events/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"eventID": 123,
"symbol": "<string>",
"name": "<string>",
"title": "<string>",
"recordDate": "2023-11-07T05:31:56Z",
"registrationDate": "2023-11-07T05:31:56Z",
"executionDate": "2023-11-07T05:31:56Z",
"type": 0
}
]Events
Tìm kiếm sự kiện
GET
/
events
/
search
Tìm kiếm sự kiện
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
symbols-read
Đọc thông tin mã chứng khoán
Tham số truy vấn
Từ khóa tìm kiếm
Sắp xêp theo: 1: ngày KHQ (mặc định), 2: ngày chốt DS, 3: ngày thực hiện
Loại sự kiện: 1: Cổ tức bằng tiền, 2: cổ tức bằng cổ phiếu, 3: Phát hành cổ phiếu cho CĐHH, 0: tất cả các loại sự kiện (mặc định) (0 = None, 1 = CashDividend, 2 = StockDiviđen, 3 = RightsIssue)
Tùy chọn có sẵn:
0, 1, 2, 3 Ngày bắt đầu (Mặc địch là Ngày hiện tại)
Ngày kết thúc (Mặc địch là Ngày hiện tại)
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)